#ifndef CUDATEMPORALAVERAGINGIMAGEFILTERPLUGINFACTORY_H__
#define CUDATEMPORALAVERAGINGIMAGEFILTERPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class CUDATemporalAveragingImageFilterPluginFactory : public QObject, public ritk::FilterPluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::FilterPluginFactory)

public:
	/// Constructor
	CUDATemporalAveragingImageFilterPluginFactory();
	/// Destructor
	~CUDATemporalAveragingImageFilterPluginFactory();

	ritk::FilterPlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // CUDATEMPORALAVERAGINGIMAGEFILTERPLUGINFACTORY_H__
